package com.renrenliao.im.provider

import android.app.Activity
import android.app.Application
import android.os.Bundle

/**
 **@ClassName ActivityLifecycleCallbacksAdapter
 **@Description TODO
 **@Author ganzhe
 **@Date 2022/5/19 15:19
 **/
abstract class ActivityLifecycleCallbacksAdapter: Application.ActivityLifecycleCallbacks {
    override fun onActivityCreated(activity: Activity, savedInstanceState: Bundle?) {}

    override fun onActivityStarted(activity: Activity) {}

    override fun onActivityResumed(activity: Activity) {}

    override fun onActivityPaused(activity: Activity) {}

    override fun onActivityStopped(activity: Activity) {}

    override fun onActivitySaveInstanceState(activity: Activity, outState: Bundle) {}

    override fun onActivityDestroyed(activity: Activity) {}
}